document.addEventListener("DOMContentLoaded", () => {
	if (window.location.search.indexOf("darkmode=false") > -1) {
		document.cookie = "darkmode=false; path=/";
		try {
			document.getElementById("content").classList.remove("dark-mode");
		} catch (error) {
			if (error.message !== "document.getElementById(...) is null") {
				throw error;
			}
		}
	} else if (window.location.search.indexOf("darkmode=true") > -1 || document.cookie.indexOf("darkmode=true") > -1) {
		document.cookie = "darkmode=true; path=/";
		try {
			document.getElementById("content").classList.add("dark-mode");
		} catch (error) {
			if (error.message !== "document.getElementById(...) is null") {
				throw error;
			}
		}
	}
});
